import type * as MonacoTypes from 'monaco-editor';
export declare function loadMonacoCore(): Promise<typeof MonacoTypes>;
export declare function loadLanguageFeatures(language: string): Promise<void>;
export declare function loadMonacoWithLanguage(language: string): Promise<typeof MonacoTypes>;
export declare function configureMonacoEnvironment(getWorkerFn?: (workerId: string, label: string) => Worker): void;
